Description

As I'm introducing QGis in my university department, | was asked if it would be possible ("as in [[ArcGIS]] with mdb geodatabase”, as they
say) to enable a constrain, during digitizing and editing, on vector layers attributes (on Postgresql) when on the attribute field there's a
constrain to a list of values that | set in another table. Exscuse me for my horrible english, | hope it's understandable!

It would avoid inserting wrong attribute values when needed...

Giovanni A.
Centro di Geotecnologie
University of Siena (ltaly)

History

#1 - 2006-12-03 04:32 PM - anonymous -

| don't know if it's possible to be implemented in 0.8 (I would prefer, of course!). In case it's tto late 0.9 would be, obviously, ok.

#2 - 2006-12-03 09:55 PM - Marco Hugentobler

Hi Giovanni,

The feature you mention would be very useful. It would however require major changes in basic components of qgis, so it's impossible to consider it for
0.8.

Marco

#3 - 2006-12-04 02:46 PM - anonymous -

So what should | do? Do | have to post a new "enhancement" for 0.9, or it will considered anyway leaving this ticket?

Giovanni

#4 - 2006-12-04 02:53 PM - Martin Dobias

OK, let's set it as enhancement for 0.9 release. Originally I've deleted the milestone as it won't get to 0.8 and it's not clear for what version it will be

implemented.

Martin

2025-04-27 12




#5 - 2008-08-20 12:08 PM - Jiirgen Fischer

commit:43278d72 (SVN r9093) introduces some enhancements that covers this partly, although not by strict constraints.

#6 - 2009-08-06 05:32 AM - Giovanni Manghi
- Resolution set to fixed
- Status changed from Open to Closed

This seems to me a reality now with the edit widgets under layer "properties -> attributes". Please reopen if I'm wrong.
